using UnityEngine;

namespace Naturalis.Common.Components
{
    sealed class RectTransformReposition
    {
        readonly RectTransform _rectTransform;
        readonly Vector2 _originalPosition;
        readonly Vector2 _newPosition;

        public RectTransformReposition(RectTransform rectTransform, Vector2 originalPosition, Vector2 newPosition)
        {
            _rectTransform = rectTransform;
            _originalPosition = originalPosition;
            _newPosition = newPosition;
            rectTransform.anchoredPosition = _newPosition;
        }

        public void Apply()
        {
            _rectTransform.anchoredPosition = _newPosition;
        }

        public void RestoreOriginal()
        {
            _rectTransform.anchoredPosition = _originalPosition;
        }
    }
}
