using System;

namespace Naturalis.Common.Components
{
    sealed class Scaler
    {
        public float offset { get; set; }
        public float max { get; set; }

        public Func<float, float> massCurve { get; set; } = x => 0;
        public Func<float, float> softnessCurve { get; set; } = x => 0;

        public float Scale(float value, float mass, float softness)
        {
            float totalOffset = massCurve(mass) + softnessCurve(softness) + offset;
            return (totalOffset + value) / max;
        }

        public float Scale(float value, float mass)
        {
            float totalOffset = massCurve(mass) + offset;
            return (totalOffset + value) / max;
        }
    }
}
