﻿namespace Naturalis.Common.Components
{
    public sealed class StorableBool : JSONStorableBool, IStorable
    {
        bool _calibratedValue;

        public string Name()
        {
            return name;
        }

        // ReSharper disable once UnusedMember.Global
        public bool IsModified()
        {
            return val != defaultVal;
        }

        public bool IsCalibrated()
        {
            return val == _calibratedValue;
        }

        public StorableBool(string paramName, bool startingValue) : base(paramName, startingValue)
        {
        }

        public void SaveCalibrated()
        {
            _calibratedValue = val;
        }
    }
}
