// ReSharper disable MemberCanBePrivate.Global
using UnityEngine;
using UnityEngine.Events;

namespace Naturalis.Common.Components
{
    sealed class UnityEventsListener : MonoBehaviour
    {
        public bool isEnabled { get; private set; }
        public readonly UnityEvent onEnable = new UnityEvent();
        public readonly UnityEvent onDisable = new UnityEvent();

        void OnEnable()
        {
            isEnabled = true;
            onEnable.Invoke();
        }

        void OnDisable()
        {
            isEnabled = false;
            onDisable.Invoke();
        }

        void OnDestroy()
        {
            isEnabled = false;
            onEnable.RemoveAllListeners();
            onDisable.RemoveAllListeners();
        }
    }
}
