// ReSharper disable MemberCanBePrivate.Global UnusedMember.Global UnusedMethodReturnValue.Global UnusedType.Global
using System;
using Naturalis.Common.Components;

static partial class UIDynamicSliderExtensions
{
    public static void AddPointerUpDownListener(
        this UIDynamicSlider uiDynamicSlider,
        Action pointerUpAction = null,
        Action pointerDownAction = null
    )
    {
        var listener = uiDynamicSlider.slider.gameObject.AddComponent<PointerUpDownListener>();
        listener.pointerUpAction = pointerUpAction;
        listener.pointerDownAction = pointerDownAction;
    }

    public static PointerUpDownListener GetPointerUpDownListener(this UIDynamicSlider uiDynamicSlider)
    {
        if(!uiDynamicSlider || !uiDynamicSlider.slider)
        {
            return null;
        }

        return uiDynamicSlider.slider.gameObject.GetComponent<PointerUpDownListener>();
    }

    public static bool PointerDown(this UIDynamicSlider uiDynamicSlider)
    {
        var listener = uiDynamicSlider.GetPointerUpDownListener();
        return listener && listener.isDown;
    }
}
