﻿using Naturalis.Common.Components;

namespace Naturalis.Common.Handlers.Configs
{
    class GradientConfig
    {
        // middle offset of gradient from -1 (outermost joint) to 1 (center joint)
        public StorableFloat middleShiftJsf { get; set; }

        // multiplier for the outermost joint value
        public StorableFloat outerMultiplierJsf { get; set; }

        // multiplier for the center joint value (TittyMagic) or the main1 and center joint values (BootyMagic)
        public StorableFloat centerMultiplierJsf { get; set; }

        // multiplier for the nipple joint value
        public StorableFloat nippleMultiplierJsf { get; set; }

        // curvature of smoothstep function from 0 (outermost joint) to middle
        public float outerToMiddleCurvature { get; set; }

        // mid point of smoothstep function from 0 (outermost joint) to middle
        public float outerToMiddleMidPoint { get; set; }

        // curvature of smoothstep function from middle to 1 (center joint)
        public float middleToCenterCurvature { get; set; }

        // mid point of smoothstep function from middle to 1 (center joint)
        public float middleToCenterMidPoint { get; set; }

        public bool IsModified()
        {
            return middleShiftJsf.IsModified() ||
                outerMultiplierJsf.IsModified() ||
                centerMultiplierJsf.IsModified() ||
                (nippleMultiplierJsf?.IsModified() ?? false);
        }
    }
}
