﻿namespace Naturalis.Common.Models
{
    sealed class BasicMorph
    {
        readonly float _multiplier;
        readonly DAZMorph _morph;

        public BasicMorph(DAZMorph morph, float multiplier)
        {
            _morph = morph;
            _multiplier = multiplier;
        }

        public void Update(float effect)
        {
            _morph.morphValue = _multiplier * effect;
        }

        public void Reset()
        {
            _morph.morphValue = 0;
        }
    }
}
