﻿using Naturalis.Common.Components;
using Naturalis.Common.Handlers.Configs;

namespace Naturalis.Common.Models
{
    class ParameterBase
    {
        public JSONStorableFloat baseValueJsf { get; protected set; }
        public StorableFloat offsetJsf { get; protected set; }

        protected PhysicsCalculator calculator;
        protected PhysicsCalculator quicknessOffsetCalculator { get; set; }
        protected PhysicsCalculator slownessOffsetCalculator { get; set; }

        public MultiplierConfig primaryConfig
        {
            set { calculator.primaryConfig = value; }
        }

        public MultiplierConfig secondaryConfig
        {
            set { calculator.secondaryConfig = value; }
        }

        public MultiplierConfig quicknessConfig
        {
            set { quicknessOffsetCalculator.primaryConfig = value; }
        }

        public MultiplierConfig slownessConfig
        {
            set { slownessOffsetCalculator.primaryConfig = value; }
        }

        public void UpdateOffsetMinMax()
        {
            offsetJsf.min = -(baseValueJsf.val - baseValueJsf.min);
            offsetJsf.max = baseValueJsf.max - baseValueJsf.val;
        }
    }
}
