﻿namespace Naturalis.Common
{
    sealed class Loggr
    {
        readonly string _logPrefix;

        public Loggr(string scriptName)
        {
            _logPrefix = $"{nameof(Naturalis)}.{scriptName}";
        }

        public void LogError(string error, bool report = true)
        {
            string text = $"{_logPrefix}: {error}.";
            if(report)
            {
                text += " Please report the issue!";
            }

            SuperController.LogError(text);
        }

        public void LogMessage(string message)
        {
            SuperController.LogMessage($"{_logPrefix}: {message}");
        }

        public static void Error(string error, bool report = true)
        {
            string text = $"{nameof(Naturalis)}: {error}.";
            if(report)
            {
                text += " Please report the issue!";
            }

            SuperController.LogError(text);
        }

        public static void Message(string message)
        {
            SuperController.LogMessage($"{nameof(Naturalis)}: {message}");
        }
    }
}
